const express = require('express');
const router = express.Router();
const StandController = require('../controllers/stand.controller');
const authenticate = require("../middleware/auth");

router
    .route('/list')
    .get(authenticate, StandController.getList)
    .post(authenticate, StandController.createStand);

router
    .route('/:stand_id')
    .get(authenticate, StandController.getStand)
    .put(authenticate, StandController.updateStand)
    .delete(authenticate, StandController.deleteStand);

router
    .route('/schedule/list/:stand_id')
    .get(authenticate, StandController.getScheduleList)

router
    .route('/schedule/:stand_id')
    .post(authenticate, StandController.createSchedule)

router
    .route('/schedule/history/:stand_schedule_id')
    .post(authenticate, StandController.getScheduleHistory)

module.exports = router;